org.jetlang.web

## Class RoundRobinClientFactory

- java.lang.Object
- - org.jetlang.web.RoundRobinClientFactory

All Implemented Interfaces:
  NioAcceptorHandler.ClientFactory

    public class RoundRobinClientFactory
    extends Object
    implements NioAcceptorHandler.ClientFactory

### Constructor Summary

Constructors
Constructor and Description
`RoundRobinClientFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(NioAcceptorHandler.ClientFactory fact)`
`void` `onAccept(org.jetlang.fibers.NioFiber fiber, org.jetlang.fibers.NioControls controls, SelectionKey key, SocketChannel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RoundRobinClientFactory

    public RoundRobinClientFactory()

### Method Detail

#### add

    public void add(NioAcceptorHandler.ClientFactory fact)

#### onAccept

    public void onAccept(org.jetlang.fibers.NioFiber fiber,
                         org.jetlang.fibers.NioControls controls,
                         SelectionKey key,
                         SocketChannel channel)

Specified by:
  `onAccept` in interface `NioAcceptorHandler.ClientFactory`